Loading...
Searching...
No Matches
BALL::MMFF94StretchBend::Bend Struct Reference

see MMFFANG.PAR More...

`#include <BALL/MOLMEC/MMFF94/MMFF94StretchBend.h>`

## Public Member Functions

| Bend ()

## Public Attributes

double | theta0
double | delta_theta
double | theta
double | ka
Atom * | atom1
Atom * | atom2
Atom * | atom3
bool | is_linear
Position | ATIJK
double | energy
bool | emperical
TVector3< double > | n1
TVector3< double > | n2

## Detailed Description

see MMFFANG.PAR

Definition at line 41 of file MMFF94StretchBend.h.

## Constructor & Destructor Documentation

## Bend()

BALL::MMFF94StretchBend::Bend::Bend | ( |  | ) |

## Member Data Documentation

## ATIJK

Position BALL::MMFF94StretchBend::Bend::ATIJK

Definition at line 53 of file MMFF94StretchBend.h.

## atom1

Atom* BALL::MMFF94StretchBend::Bend::atom1

Definition at line 49 of file MMFF94StretchBend.h.

## atom2

Atom* BALL::MMFF94StretchBend::Bend::atom2

Definition at line 50 of file MMFF94StretchBend.h.

## atom3

Atom* BALL::MMFF94StretchBend::Bend::atom3

Definition at line 51 of file MMFF94StretchBend.h.

## delta_theta

double BALL::MMFF94StretchBend::Bend::delta_theta

Definition at line 46 of file MMFF94StretchBend.h.

## emperical

bool BALL::MMFF94StretchBend::Bend::emperical

Definition at line 55 of file MMFF94StretchBend.h.

## energy

double BALL::MMFF94StretchBend::Bend::energy

Definition at line 54 of file MMFF94StretchBend.h.

## is_linear

bool BALL::MMFF94StretchBend::Bend::is_linear

Definition at line 52 of file MMFF94StretchBend.h.

## ka

double BALL::MMFF94StretchBend::Bend::ka

Definition at line 48 of file MMFF94StretchBend.h.

## n1

TVector3<double> BALL::MMFF94StretchBend::Bend::n1

Definition at line 56 of file MMFF94StretchBend.h.

## n2

TVector3<double> BALL::MMFF94StretchBend::Bend::n2

Definition at line 56 of file MMFF94StretchBend.h.

## theta

double BALL::MMFF94StretchBend::Bend::theta

Definition at line 47 of file MMFF94StretchBend.h.

## theta0

double BALL::MMFF94StretchBend::Bend::theta0

Definition at line 45 of file MMFF94StretchBend.h.